Bug 986334 - index controller for System Groups API does not filter by organization id
index controller for System Groups API does not filter by organization id
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 08:50 EDT by Og Maciel
Modified: 2014-04-24 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:06:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-07-19 08:50:28 EDT
Description of problem:

Using the katello cli to create and verify system groups for an organization shows that the organization id is not being used to filter out the results. When I create 2 new system groups, the following API call returns all the available system groups in the entire server:

  GET api/organizations/label-ixjiylqo-71013963/system_groups

Apparently the controller does not use the organization id for filtering:

  https://github.com/Katello/katello/blob/master/app/controllers/api/v1/system_groups_controller.rb#L71

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.17-1.el6.noarch
* candlepin-cert-consumer-ibm-ls22-03.rhts.eng.brq.redhat.com-1.0-1.noarch
* candlepin-selinux-0.8.17-1.el6.noarch
* candlepin-tomcat6-0.8.17-1.el6.noarch
* elasticsearch-0.19.9-7.el6.noarch
* katello-1.4.2-1.git.866.c6be614.el6.noarch
* katello-all-1.4.2-1.git.866.c6be614.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-1.el6.noarch
* katello-cli-1.4.2-1.git.128.53e0dde.el6.noarch
* katello-cli-common-1.4.2-1.git.128.53e0dde.el6.noarch
* katello-common-1.4.2-1.git.866.c6be614.el6.noarch
* katello-configure-1.4.3-1.git.67.f71e590.el6.noarch
* katello-glue-candlepin-1.4.2-1.git.866.c6be614.el6.noarch
* katello-glue-elasticsearch-1.4.2-1.git.866.c6be614.el6.noarch
* katello-glue-pulp-1.4.2-1.git.866.c6be614.el6.noarch
* Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
* Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-repos-1.4.2-1.el6.noarch
* katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.2-0.3.beta.el6.noarch
* pulp-selinux-2.1.2-0.3.beta.el6.noarch
* pulp-server-2.1.2-0.3.beta.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6.noarch
* ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch
* ruby193-rubygem-runcible-0.4.11-1.el6.noarch
* signo-0.0.9-1.el6.noarch
* signo-katello-0.0.9-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Create multiple organizations, each with varying number of system groups
2. Use the api/organizations/:organization_id/system_groups api call to check that the chosen organization has the correct number of system groups
3.

Actual results:

All system groups for all available organizations are returned

Expected results:

Only the system groups from the chosen organization should be returned


Additional info:
Comment 1 Og Maciel 2013-07-19 08:51:44 EDT
See upstream issue here https://github.com/Katello/katello/issues/2656
Comment 3 Eric Helms 2013-09-17 17:16:49 EDT
This appears to be working in the current upstream.
Comment 5 Og Maciel 2013-10-22 14:04:38 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 8 Bryan Kearney 2014-04-24 13:06:56 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.